R4i Gold 3DS DELUXE - Does it support online play?

Discussion in '3DS - Flashcards & Custom Firmwares' started by MaximusVX, Mar 3, 2015.

  1. MaximusVX
    OP

    MaximusVX Member

    Newcomer
    30
    2
    Jan 4, 2015
    United States
    Question in the title of the thread, I don't really want to wait for Gateway to release an update, and Sky3DS's card limit and price really scare me away. The R4i G3DSD looks like a really nice buy, but I don't want it if it doesn't have online functionality.

    The GBATEMP card comparison page lists Gateway/Sky3DS as being the only cards with online play, but reading the description of the R4i G3DSD on the official page it says " Support Wifi games and DS Ramble pak. "

    Is that not online play?
     
  2. Ra1d

    Ra1d GBAtemp Maniac

    Member
    1,207
    679
    Jul 31, 2010
    Canada
    If you're using old 3ds, you don't have to wait for a gateway update, because it's already out(as long as your fw version is 9.2 or lower).

    Only people who own N3DS are waiting for gateway to release N3DS support.

    And no, R4i doesn't support N3DS.
     
  3. MaximusVX
    OP

    MaximusVX Member

    Newcomer
    30
    2
    Jan 4, 2015
    United States

    Agh damn. I read that it supports the latest firmware I automatically assumed it supported N3DS, which is what I have. Guess I really will have to eventually cough up $70 for the gateway, can't cheap out on these things.
     
  4. Ra1d

    Ra1d GBAtemp Maniac

    Member
    1,207
    679
    Jul 31, 2010
    Canada

    By the way, Gateway will also work only on N3DS firmwares 9.2 or lower, you said you have a latest version, if you do, I think Sky3DS is the only option for you.
     
  5. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States

    This card will only work on 3ds consoles with firmware 4.1-4.5. The latest software support looks to be still only support firmware 4.1-4.5 but provides multi-rom feature. To be honest they say it supports firmware 9.5 but it doesn't go into details on that, example does it support 3ds roms or ds roms for firmware 9.5? Website is bad on the details per update.